> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guglielmine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Investigation From Eml



## OpenAPI

````yaml /openapi/openapi.json post /v2/investigations/eml
openapi: 3.1.0
info:
  title: Qevlar Investigation Platform API
  description: This API analyzes observables and provides investigation capabilities.
  version: 2.0.0
servers:
  - url: https://api.qevlar.com
security: []
paths:
  /v2/investigations/eml:
    post:
      tags:
        - v2
        - investigation
      summary: Request Investigation From Eml
      operationId: request_investigation_from_eml_v2_investigations_eml_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_request_investigation_from_eml_v2_investigations_eml_post
        required: true
      responses:
        '202':
          description: Investigation request accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvestigationSubmissionResponse'
        '401':
          description: Missing, invalid or expired authentication token
        '422':
          description: Invalid investigation request format
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_request_investigation_from_eml_v2_investigations_eml_post:
      properties:
        file:
          type: string
          format: binary
          title: File
        from_email:
          type: string
          title: From Email
      type: object
      required:
        - file
        - from_email
      title: Body_request_investigation_from_eml_v2_investigations_eml_post
    InvestigationSubmissionResponse:
      properties:
        alert_id:
          type: string
          format: uuid
          title: Alert Id
        status:
          $ref: '#/components/schemas/TaskStatus'
      type: object
      required:
        - alert_id
        - status
      title: InvestigationSubmissionResponse
    TaskStatus:
      type: string
      enum:
        - Failure
        - In progress
        - Pending
        - Success
      title: TaskStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````